Page MenuHomePhabricator

workshop on design research in product development at developer summit
Closed, ResolvedPublic

Description

I would like to give a quick workshop to provide a very high level summary of what Design Research is, and how it is valuable for product development, and then dive into describing how developers might do some quick user research to test their UI with users. The goal is to teach about the value of Design Research as well as providing very basic tool kit for DIY research done well. 1/2 an hour could work, but if there were 45 minutes, we might be able to squeeze in an exercise for practice.

Event Timeline

aripstra created this task.Jan 14 2015, 6:00 PM
aripstra claimed this task.
aripstra raised the priority of this task from to Needs Triage.
aripstra updated the task description. (Show Details)
aripstra added a subscriber: aripstra.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2015, 6:00 PM

I will talk at a high level what design research is and why we are building a Design Research department at WMF. Then, I will describe how developers can do fast and easy design research on the UI of what they are building. There will be time for discussion and question / answer.

Qgil triaged this task as Normal priority.Jan 23 2015, 4:04 PM

Here is an etherpad - feel free to take notes, or add comments, etc.
http://etherpad.wikimedia.org/p/DevSum2015_designresearch

Design research and user centered design - what is it? why do we care? I will show some examples of how it is applied (Grameen Foundation and IDEO) and what we are doing and what we are planning to do with this new little department called design research. Discussion will be seeded with ideas about collaborating to support design thinking and user centered design further into our decision making and making processes. Also, Engineers ask to learn design research and how to do it (especially usability testing) to un block UX bugs and build in a way that people are more likely to use functionality. we will discuss this too, and our path toward DIY usability testing.

Link to the presentation. Content I spoke and links to videos are in the speaker notes.
https://docs.google.com/presentation/d/1FioOPUmkLCPgRU0Yma3NJwjiPmDUNSwn-j0T6r3MGo8/edit?usp=sharing

aripstra closed this task as Resolved.Feb 21 2015, 12:51 AM